
set tez.queue.name=${TEZ_QUEUE}; 
truncate table ${DBNAME_EDW}.f_tr_actuacion_detallada_reinyect;

insert into ${DBNAME_EDW}.f_tr_actuacion_detallada_reinyect
select 
ani_cd,
operacion_fh,
operacion_actuacion_cd,
usuario_ultima_modificacion_cd,
causa_cd,
importe_inicial_mo,
importe_abono_mo,
importe_recarga_mo,
importe_especial_mo,
importe_bolsa5_mo,
importe_bolsa6_mo,
importe_coste_mo,
bono_cd,
categoria_abonado_cd,
referencia_recarga_cd,
origen_recarga_cd,
promocion_cd,
secuencia_actuacion_recarga_nr,
modalidad_tipo_prepago_cd,
nombre_usuario_oracle_de,
tecnologia_cd,
subactuacion_cd,
actuacion_anulada_cd,
caducidad_actuacion_fh,
serie_tarjeta_rasca_nr,
identificador_peticiongesto_cd,
importe_penalizacion_mo,
importe_compensacion_deuda_mo,
importe_pend_monedero_deuda_mo,
compensacion_total_fl,
fecha_compensacion_fh,
inicio_uso_deuda_fh,
nombre_extractor_tx,

fecha_proceso,
actuacion_subtipo_id,
metodo_recarga_id,
motivo_ajuste_id,
moneda_id,
bono_id,
promocion_id,
sistema_origen_id,

suscripcion_id,
suscripcion_cd,
interurbano_cd,
urbano_cd,
linea_cd,
tipo_oferta_id,
tipo_oferta_de,
catalogo_producto_id,
catalogo_producto_cd,
catalogo_producto_de,
geografia_cnc_id,
geografia_cnc_cd,
sub_alm_cd,
alm_cd,
sub_region_cnc_id,
sub_region_cnc_de,
region_cnc_id,
region_cnc_de,
flag_prepago_express_id,
operadora_propietaria_id,
operadora_propietaria_cd,
operadora_propietaria_de,
operadora_receptora_id,
operadora_receptora_cd,
operadora_receptora_de,
operadora_donante_id,
operadora_donante_cd,
operadora_donante_de,
flag_volte_id,
flag_volte_cd,
flag_volte_de,
equipo_tecnologia_id,
equipo_tecnologia_cd,
equipo_tecnologia_de,
equipo_utilizado_tecnologia_id,
equipo_utilizado_tecnologia_cd,
equipo_utilizado_tecnologia_de,
catalogo_equipo_id,
catalogo_equipo_cd,
catalogo_equipo_de,
estado_suscripcion_id,
estado_suscripcion_cd,
estado_suscripcion_de,
fecha_estado_suscripcion_id,
cliente_id,
cliente_cd,
sub_tipo_cliente_id,
sub_tipo_cliente_cd,
sub_tipo_cliente_de,
tipo_cliente_id,
tipo_cliente_cd,
tipo_cliente_de,
ciclo_facturacion_id,
ciclo_facturacion_cd,
ciclo_facturacion_de,
score_economico_id,
score_economico_cd,
score_economico_de,
operadora_larga_distancia_id,
operadora_larga_distancia_cd,
operadora_larga_distancia_de,
error_cd as reinyectable,
reinyectable as error_cd 
from ${DBNAME_WRK_PROD}.f_tr_actuacion_detallada_prev_final
where reinyectable = true;

-- Insert en la particion por Fecha de Evento
insert into table ${DBNAME_EDW}.f_tr_actuacion_detallada partition(fecha)
select 
ani_cd,
operacion_fh,
operacion_actuacion_cd,
usuario_ultima_modificacion_cd,
causa_cd,
importe_inicial_mo,
importe_abono_mo,
importe_recarga_mo,
importe_especial_mo,
importe_bolsa5_mo,
importe_bolsa6_mo,
importe_coste_mo,
bono_cd,
categoria_abonado_cd,
referencia_recarga_cd,
origen_recarga_cd,
promocion_cd,
secuencia_actuacion_recarga_nr,
modalidad_tipo_prepago_cd,
nombre_usuario_oracle_de,
tecnologia_cd,
subactuacion_cd,
actuacion_anulada_cd,
caducidad_actuacion_fh,
serie_tarjeta_rasca_nr,
identificador_peticiongesto_cd,
importe_penalizacion_mo,
importe_compensacion_deuda_mo,
importe_pend_monedero_deuda_mo,
compensacion_total_fl,
fecha_compensacion_fh,
inicio_uso_deuda_fh,
nombre_extractor_tx,

fecha_proceso,
actuacion_subtipo_id,
metodo_recarga_id,
motivo_ajuste_id,
moneda_id,
bono_id,
promocion_id,
sistema_origen_id,

suscripcion_id,
suscripcion_cd,
interurbano_cd,
urbano_cd,
linea_cd,
tipo_oferta_id,
tipo_oferta_de,
catalogo_producto_id,
catalogo_producto_cd,
catalogo_producto_de,
geografia_cnc_id,
geografia_cnc_cd,
sub_alm_cd,
alm_cd,
sub_region_cnc_id,
sub_region_cnc_de,
region_cnc_id,
region_cnc_de,
flag_prepago_express_id,
operadora_propietaria_id,
operadora_propietaria_cd,
operadora_propietaria_de,
operadora_receptora_id,
operadora_receptora_cd,
operadora_receptora_de,
operadora_donante_id,
operadora_donante_cd,
operadora_donante_de,
flag_volte_id,
flag_volte_cd,
flag_volte_de,
equipo_tecnologia_id,
equipo_tecnologia_cd,
equipo_tecnologia_de,
equipo_utilizado_tecnologia_id,
equipo_utilizado_tecnologia_cd,
equipo_utilizado_tecnologia_de,
catalogo_equipo_id,
catalogo_equipo_cd,
catalogo_equipo_de,
estado_suscripcion_id,
estado_suscripcion_cd,
estado_suscripcion_de,
fecha_estado_suscripcion_id,
cliente_id,
cliente_cd,
sub_tipo_cliente_id,
sub_tipo_cliente_cd,
sub_tipo_cliente_de,
tipo_cliente_id,
tipo_cliente_cd,
tipo_cliente_de,
ciclo_facturacion_id,
ciclo_facturacion_cd,
ciclo_facturacion_de,
score_economico_id,
score_economico_cd,
score_economico_de,
operadora_larga_distancia_id,
operadora_larga_distancia_cd,
operadora_larga_distancia_de,
cast(FROM_UNIXTIME(UNIX_TIMESTAMP(operacion_fh,'yyyy-MM-dd HH:mm:ss'),'yyyyMMdd') as int) as fecha
from ${DBNAME_WRK_PROD}.f_tr_actuacion_detallada_prev_final
where reinyectable = false;

INSERT OVERWRITE table ${DBNAME_EDW_PROD_LOG}.dimensional_list_nombre_extractor partition ( mode_name='actuaciones')
SELECT DISTINCT(t3.nombre_extractor_tx) nombre_extractor_tx
FROM 
	(SELECT DISTINCT(nombre_extractor_tx) 
	FROM ${DBNAME_EDW_PROD_LOG}.dimensional_list_nombre_extractor WHERE mode_name='actuaciones'
	UNION ALL 
	SELECT DISTINCT(nombre_extractor_tx) 
	FROM ${DBNAME_WRK_PROD}.f_tr_actuacion_detallada_prev_final) t3;
